---

# - fail: msg="This role is only compatible with Ubuntu"
#   when: ansible_distribution != 'Ubuntu'

- name: Include version-specific variables for Ubuntu.
  ansible.builtin.include_vars: "{{ ansible_distribution }}-{{ ansible_distribution_version }}.yml"
  when: ansible_distribution == 'Ubuntu'
- name: Include version-specific variables for RedHat
  ansible.builtin.include_vars: "RedHat-{{ ansible_distribution_version.split('.')[0] }}.yml"
  when: ansible_os_family == "RedHat"

- import_tasks: volatility.yml
  when: >
    volatility_target == '2'
- import_tasks: volatility3.yml
  when: >
    volatility_target != '2'

# - import_tasks: volatility-win10.yml

- import_tasks: memory-samples.yml
  when: volatility_samples is defined and volatility_samples

- import_tasks: volatility-scan.yml
  when: volatility_scan is defined and volatility_scan
